
Redmine - Defect #2449

Custom query result does not create horizontal scrollbar (too wide)

2009-01-06 16:19 - Michael Aye

Status: Closed Start date: 2009-01-06

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

My custom query has many more columns that I need for a collaborator.

Therefore the result is much wider than the default layout.

But instead of creating a horizontal scrollbar, the table is printed on top of the right frame. (See attached window-snapshot).

Did I mess up my css stylesheets when I changed the colors, or is this a defect? I did not play with the layout other than colors, at

least I didn't intend to.

System:

Redmine SVN 0.8.0-stable (updated after final release)

ruby 1.8.6

Rails 2.1.2

on openSuse 10.3 (X86-64)

Related issues:

Has duplicate Redmine - Defect #4074: Small browser windows / issue list. Closed 2009-10-21

Has duplicate Redmine - Defect #4030: Issues table can override custom queries Closed 2009-10-14

History

#1 - 2009-01-06 21:49 - Mischa The Evil

- File content-overflow_auto-correction-r2245.diff added

Michael Aye wrote:

...But instead of creating a horizontal scrollbar, the table is printed on top of the right frame...

...

Did I mess up my css stylesheets when I changed the colors, or is this a defect?

 Nope, you didn't... This is a "defect" indeed...

Adding overflow: auto; to the #content-selector in source:trunk/public/stylesheets/application.css@2245#L58 solves the issue imo.

I'll attach a simple patch against current trunk to add it to the core's application.css to simultaneously solve the issue for the other core-themes

(alternate & classic).

Thanks for reporting.

#2 - 2009-01-07 00:17 - Michael Aye

Tried it here by just adding that "overflow:auto" where your patch indicates it.

Works fine, thanks!

#3 - 2009-10-28 12:05 - Michael Aye

This patch has not made it yet into any official release, right? Our admin made a fresh install of 0.8.5 and the 'defect' is still there.

#4 - 2012-10-06 02:26 - Michael Aye

- Status changed from New to Resolved
https://www.redmine.org/projects/redmine/repository/svn/revisions/2245/entry/trunk/public/stylesheets/application.css#L58


I believe this issue is resolved. I just tried it on a recent Redmine install to create a over-wide query and it automatically creates a y-scrollbar.

#5 - 2013-03-17 21:01 - Filou Centrinov

Close this issue. It's fixed.

#6 - 2013-03-17 21:05 - Daniel Felix

- Status changed from Resolved to Closed

Closed this Issue as this issue appears on a fairly outdated Redmine version with much older browsers.

If this appears in the new Redmine versions, just reopen or create a new issue.

Files

Redmine_snapshot.tiff 282 KB 2009-01-06 Michael Aye

content-overflow_auto-correction-r2245.diff 884 Bytes 2009-01-06 Mischa The Evil

Powered by TCPDF (www.tcpdf.org)

2025-05-02 2/2

http://www.tcpdf.org

